/*
 * Written by Dawid Kurzyniec and released to the public domain, as explained
 * at http://creativecommons.org/licenses/publicdomain
 */

package edu.emory.mathcs.util.collections.ints;

/**
 * Iterator over a collection of int numbers.
 * @see java.util.Iterator
 *
 * @author Dawid Kurzyniec
 * @version 1.0
 */
public interface IntIterator {
    boolean hasNext();
    int next();
    void remove();
}
